package ru.redguy.extendedpistons;

import java.time.Instant;
import java.util.Calendar;
import java.util.Date;
import java.util.GregorianCalendar;

public class Period {
    private final Instant from;
    private final Instant to;

    public Period(Date from, Date to) {
        this.from = nowtifyDate(from);
        this.to = nowtifyDate(to);
    }

    public boolean isBehind(Instant date) {
        return from.isBefore(date)&&to.isAfter(date);
    }

    public Instant nowtifyDate(Date ins) {
        Calendar now = GregorianCalendar.getInstance();
        Calendar cal = GregorianCalendar.getInstance();
        cal.setTime(ins);
        cal.set(Calendar.YEAR, now.get(Calendar.YEAR));
        cal.set(Calendar.MONTH, now.get(Calendar.MONTH));
        cal.set(Calendar.DAY_OF_MONTH, now.get(Calendar.DAY_OF_MONTH));
        return cal.getTime().toInstant();
    }
}
